DESCRIPTION = "Kernel drivers MityDSP-L138F SOC FPGA Cores"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"

inherit module

SRCREV = "${AUTOREV}"
PR = "r1"
BRANCH = "master"
CL_SOURCE_REPO = "mitydsp-l138-fpga.git"

SRC_URI = "${CL_SOURCE_GIT_HOST}${CL_SOURCE_GIT_PATH}${CL_SOURCE_REPO};protocol=git;branch=${BRANCH};destsuffix=${S} \
	   ${CL_SOURCE_GIT_HOST}${CL_SOURCE_GIT_PATH}${CL_SOURCE_REPO_L138COMMON};protocol=git;branch=${BRANCH};destsuffix=${S_COMMON} \
	   "

DEPENDS += "virtual/kernel"

S = "${WORKDIR}/fpga"
S_COMMON = "${WORKDIR}/common"

export KERNELDIR = "${STAGING_KERNEL_DIR}"

PACKAGE_STRIP = "no"

MAKE_TARGETS = " "

do_compile_prepend() {
	rm -rf ${S}/common && ln -s ${S}/../common ${S}/common
}

do_install() {
	install -d ${D}/lib/modules/${KERNEL_VERSION}/kernel/drivers/fpga
	install -m 0755 ${S}/*.ko ${D}/lib/modules/${KERNEL_VERSION}/kernel/drivers/fpga
}

