require recipes-bsp/u-boot/u-boot-cl.inc

DESCRIPTION = "u-boot bootloader for ARM MPU devices"

COMPATIBLE_MACHINE = "mityomapl138"

PR = "r0"
PV_append = "+git${SRCPV}"

SRC_URI = "git://support.criticallink.com/home/git/u-boot-mitydspl138.git;protocol=git;branch=${BRANCH}"

BRANCH = "master"

SRCREV = "${AUTOREV}"

# This sets up the build process and grabs the u-boot.bin file
UBOOT_SUFFIX = "bin"
UBOOT_MACHINE = "mityomapl138_config"
UBOOT_ENTRYPOINT = "0xc0008000"
UBOOT_LOADADDRESS = "0xc0008000"

# Add the u-boot-ubl.bin image for re-flashing from u-boot.
UBOOT_UBL_IMAGE ?= "u-boot-ubl-${MACHINE}-${PV}-${PR}.${UBOOT_SUFFIX}"
UBOOT_UBL_BINARY ?= "u-boot-ubl.${UBOOT_SUFFIX}"
UBOOT_UBL_SYMLINK ?= "u-boot-ubl-${MACHINE}.${UBOOT_SUFFIX}"

do_install_append () {
	install ${S}/${UBOOT_UBL_BINARY} ${D}/boot/${UBOOT_UBL_IMAGE}
	ln -sf ${UBOOT_UBL_IMAGE} ${D}/boot/${UBOOT_UBL_BINARY}
}

do_deploy_append () {
	install ${S}/${UBOOT_UBL_BINARY} ${DEPLOYDIR}/${UBOOT_UBL_IMAGE}
	
	cd ${DEPLOYDIR}
	rm -f ${UBOOT_UBL_BINARY} ${UBOOT_UBL_SYMLINK}
	ln -sf ${UBOOT_UBL_IMAGE} ${UBOOT_UBL_SYMLINK}
	ln -sf ${UBOOT_UBL_IMAGE} ${UBOOT_UBL_BINARY}
}
