LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"
LICENSE = "GPLv2"

PV = "1.0"
PR = "r0"

SRC_URI="svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=DSP;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=ARM;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=common;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=gel;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=3rdparty;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=examples;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/hw/fpga;module=vhdl;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sys;module=docs;protocol=http \
        svn://svnsrv/svn/mityomap/mityomapl138/trunk/hw/fpga;module=cores_built;protocol=http \
"
SRCREV="${AUTOREV}"

# Note that for each of these DEPENDS recipes, with the exception of libdaq, the do_fetch must not be ran at the same time. Therefore each of these recipes fetch is set to run sequentially. Note that these recipes should not be ran independently, as they may rely on eachother. See each recipe for the designated order.

DEPENDS += "libdaq libdsp cmem edma dspcore"
do_fetch[depends] = "mdkfetch:do_package"
inherit deploy

S = "${WORKDIR}"

LIBDSPDIR="${S}/../../libdsp/*/ARM/linux/libdsp"
LIBDAQDIR="${S}/../../libdaq/*"
CMEMDIR="${S}/../../cmem/*/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem"
EDMADIR="${S}/../../edma/*/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma"
DSPCOREDIR="${S}/../../dspcore/*/DSP/lib/core"

do_deploy() {
    install -d ${DEPLOYDIR}/mdkextrafiles

# Install the sw Directory
	for dir in DSP ARM common gel ; do
	    cd ${S}/${dir}/
		install -d ${DEPLOYDIR}/mdkextrafiles/sw/${dir}
	    for f in `find * -type d` ; do
	        install -m 0755 -d ${DEPLOYDIR}/mdkextrafiles/sw/${dir}/${f}
	    done
	
	    for f in `find * -type f` ; do
	        install -m 0755 ${f} ${DEPLOYDIR}/mdkextrafiles/sw/${dir}/${f}
	    done
	done

# Install 3rd party software
	install -d ${DEPLOYDIR}/mdkextrafiles/3rdparty
	
	for dir in dsplib_3_1_0_0 dsplink_linux_1_65_00_03 edma3lld_01_11_00_03 linuxutils_2_26_01_02 OMAP-L138_FlashAndBootUtils_CriticalLink/OMAP-L138_FlashAndBootUtils_2_27 ; do
	    cd ${S}/3rdparty/${dir}/
                install -d ${DEPLOYDIR}/mdkextrafiles/sw/3rdparty/${dir}

	    for d in `find * -type d` ; do
                install -m 0755 -d ${DEPLOYDIR}/mdkextrafiles/sw/3rdparty/${dir}/${d}
            done

	    for f in `find * -type f` ; do
                install -m 0755 ${f} ${DEPLOYDIR}/mdkextrafiles/sw/3rdparty/${dir}/${f}
            done
	done

# Install the Examples
	install -d ${DEPLOYDIR}/mdkextrafiles/examples

        for dir in DspHelloWorld mmap_demo ; do
            cd ${S}/examples/${dir}/
                install -d ${DEPLOYDIR}/mdkextrafiles/examples/${dir}

            for d in `find * -type d` ; do
                install -m 0755 -d ${DEPLOYDIR}/mdkextrafiles/examples/${dir}/${d}
            done

            for f in `find * -type f` ; do
                install -m 0755 ${f} ${DEPLOYDIR}/mdkextrafiles/examples/${dir}/${f}
            done
        done

# Install the libdsp files
	install -d ${DEPLOYDIR}/mdkextrafiles/lib
        install -d ${DEPLOYDIR}/mdkextrafiles/lib/ARM
        install -d ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release
	install -d ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug

        install -m 0755 ${LIBDSPDIR}/libdsp.so.1.1.0 ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release
        install -m 0755 ${LIBDSPDIR}/libdsp.so.1.1.0 ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug
        install -m 0755 ${LIBDSPDIR}/libdsp.a ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release
        install -m 0755 ${LIBDSPDIR}/libdsp.a ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug

# Install the libdaq files
	install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.so ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release
	install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.so ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug
        install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.so.0 ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release
        install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.so.0 ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug
	install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.so.0.0.0 ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release
	install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.so.0.0.0 ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug
	install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.a ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release
	install -m 0755 ${LIBDAQDIR}/image/usr/lib/libdaq.a ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug

# Install the cmem files
	install -m 0755 ${CMEMDIR}/lib/cmem.a470MV ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release/cmem.a
	install -m 0755 ${CMEMDIR}/lib/cmemd.a470MV ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug/cmem.a

# Install the edma files
        install -m 0755 ${EDMADIR}/lib/edma.a470MV ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release/edma.a
        install -m 0755 ${EDMADIR}/lib/edmad.a470MV ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug/edma.a

# Install dsplink.lib to the lib directory
	install -m 0755 ${DEPLOYDIR}/mdkextrafiles/sw/3rdparty/dsplink_linux_1_65_00_03/dsplink/gpp/BUILD/API/BIN/RELEASE/dsplink.lib ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Release/dsplink.lib
	install -m 0755 ${DEPLOYDIR}/mdkextrafiles/sw/3rdparty/dsplink_linux_1_65_00_03/dsplink/gpp/BUILD/API/BIN/RELEASE/dsplink.lib ${DEPLOYDIR}/mdkextrafiles/lib/ARM/Debug/dsplink.lib

# Install the DSP libary files
	install -d ${DEPLOYDIR}/mdkextrafiles/lib/DSP
	install -d ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Release
	install -d ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Debug
	
	install -m 0755 ${DSPCOREDIR}/Release/dspcore.lib ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Release/dspcore.lib
        install -m 0755 ${DSPCOREDIR}/Debug/dspcore.lib ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Debug/dspcore.lib
	install -m 0755 ${S}/DSP/lib/SigProc/Debug/SigProc.lib ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Release/SigProc.lib
        install -m 0755 ${S}/DSP/lib/SigProc/Debug/SigProc.lib ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Debug/SigProc.lib
	for f in  dsplinkdata.lib  dsplink.lib  dsplinkmpcs.lib  dsplinkmplist.lib  dsplinkmsg.lib  dsplinknotify.lib  dsplinkpool.lib  dsplinkringio.lib ; do
		install -m 0755 ${S}/DSP/lib/TILibs/${f} ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Release/${f}
		install -m 0755 ${S}/DSP/lib/TILibs/${f} ${DEPLOYDIR}/mdkextrafiles/lib/DSP/Debug/${f}
	done

# Install the fpga directory
	for dir in vhdl cores_built ; do
		cd ${S}/${dir}
		install -d ${DEPLOYDIR}/mdkextrafiles/fpga/${dir}

		for d in `find * -type d` ; do
               	    install -m 0755 -d ${DEPLOYDIR}/mdkextrafiles/fpga/${dir}/${d}
            	done

            	for f in `find * -type f` ; do
                    install -m 0755 ${f} ${DEPLOYDIR}/mdkextrafiles/fpga/${dir}/${f}
	        done
	done

# Install the docs into a docs directory
	install -d ${DEPLOYDIR}/mdkextrafiles/docs

# Remove unnecessary artifacts
	for dir in ARM DSP common gel 3rdparty ; do
	   rm -rf ${DEPLOYDIR}/mdkextrafiles/${dir}
	done
}

addtask deploy before do_build after do_compile
