# Compiles and installs the libdaq library along with some utilities

SRCREV = "${AUTOREV}"
PR = "r7"
BRANCH = "master"
CL_SOURCE_REPO = "libdaq.git"

DESCRIPTION = "libdaq"
HOMEPAGE = "http://www.mitydsp.com"
LICENSE = "MIT"
LIC_FILES_CHKSUM="file://COPYING;md5=f3e38c1f1e0db893f5e9a1b4328246d3"
SRC_URI = "${CL_SOURCE_GIT_HOST}${CL_SOURCE_GIT_PATH}${CL_SOURCE_REPO};protocol=git;branch=${BRANCH};destsuffix=${S} \
	   ${CL_SOURCE_GIT_HOST}${CL_SOURCE_GIT_PATH}${CL_SOURCE_REPO_L138COMMON};protocol=git;branch=${BRANCH};destsuffix=${S_COMMON}"

S = "${WORKDIR}/libdaq"
S_COMMON = "${WORKDIR}/common"
inherit autotools

# TARGET_CC_ARCH += "${LDFLAGS}"

do_compile () {
	rm -rf common && ln -s ../common common
	oe_runmake
}

do_install () {
	oe_libinstall -so libdaq ${D}${libdir}
	install -m 0755 -d ${D}${bindir}
	install -m 0755 factoryconfig ${D}${bindir}/factoryconfig
	install -m 0755 tfp410 ${D}${bindir}/tfp410
}

